<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [RunningScript](./bitburner.runningscript.md) &gt; [onlineRunningTime](./bitburner.runningscript.onlinerunningtime.md)

## RunningScript.onlineRunningTime property

Number of seconds that this script has been running online

**Signature:**

```typescript
onlineRunningTime: number;
```
